CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

            calibre-smtp [opciones] [de a texto]

Enviar un correo usando el protocolo SMTP. calibre-smtp tiene dos modos de funcionamiento. En el modo de creación se especifica «de», «a» y «texto» y con ellos se crea y envía un mensaje de correo. En el modo de filtro, calibre-smtp lee un mensaje de correo completo del flujo de entrada estándar y lo envía.

«texto» es el cuerpo del mensaje de correo. Si no se especifica «texto», se lee un mensaje de correo completo del flujo de entrada estándar. «de» es la dirección de correo del remitente y «a» es la dirección de correo del destinatario. Cuando se lee un mensaje completo del flujo de entrada estándar, «de» y «a» sólo se usan en la conexión SMTP, las cabeceras del mensaje no se modifican.

Cuando alguno de los argumentos de calibre-smtp contenga espacios, póngalo entre comillas. Por ejemplo: "/some path/with spaces"

[OPCIONES]

    --fork, -f
        Bifurcar el proceso y enviar el mensaje en segundo plano. Si se usa esta opción, debería usarse también --outbox para gestionar los fallos de envío.

    --help, -h
        mostrar este mensaje de ayuda y terminar

    --localhost, -l
        Nombre del equipo local. Usado para conectar con el servidor SMTP.

    --outbox, -o
        Ruta a la carpeta maildir donde almacenar mensajes fallidos.

    --timeout, -t
        Tiempo máximo de espera para la conexión

    --verbose, -v
        Dar más detalles

    --version
        mostrar el número de versión del programa y terminar

  COMPOSE MAIL

Opciones para crear un correo. Sin efecto si no se especifica un texto

    --attachment, -a
        Archivo para adjuntar al correo

    --subject, -s
        Asunto del correo

  SMTP RELAY

Opciones para usar un servidor SMTP intermedio para enviar correos. calibre intentará enviar los correos directamente a no ser que se especifique --relay.

    --cafile
        Ruta a un archivo de certificados CA concatenados en formato PEM, usado para comprobar el certificado del servidor al usar TLS. De manera predeterminada se usan los certificados CA del sistema.

    --dont-verify-server-certificate
        No comprobar el certificado del servidor al conectar usando TLS. Éste solía ser el comportamiento predeterminado en las versiones de calibre anteriores a 3.27. Si usa un servidor intermedio con un certificado autofirmado o inválido, puede usar esta opción para restablecer el comportamiento anterior a 3.27

    --encryption-method, -e
        Método de codificación para usar con el servidor intermedio. Las opciones son TLS, SSL y NONE. El valor predeterminado es TLS. ADVERTENCIA: Usar NONE es muy poco seguro

    --password, -p
        Contraseña para el servidor intermedio

    --port
        Puerto para conectarcon el servidor intermedio. De manera predeterminada se usa 465 si el método de codificación es SSL y 25 en caso contrario.

    --relay, -r
        Un servidor SMTP intermedio para enviar correos.

    --username, -u
        Nombre de usuario para el servidor intermedio

Author
Kovid Goyal

Copyright
Kovid Goyal